<?php

/////////////////////////////////////////////////////////////////////////////////////////////////////////
//
// Fichier: maj.registre.liste.fichier.php
//
// Procédure pour charger ou remplacer des enregistrements dans le registre
// Ces enregistrements sont stockés dans des fichiers texte (.txt) se trouvant dans le sous-répertoire "registre"
// Ces enregistrements ont le même format que l'exportation ou l'importation de l'interface d'administration du registre de WATERBEAR
//
// La variable $racinewaterbear est à complêter par le chemin où sont les sources du site de WATERBEAR.
// Si ce script et le sous-répertoire registre se trouve à la racine avec le fichier bib.php, cette variable peut rester vide.
//
// Pour exécuter le script en commande de ligne sous Linux à l'emplacement du script:
//
//      php ./maj.registre.liste.fichier.php
//
/////////////////////////////////////////////////////////////////////////////////////////////////////////

/////////////////////////////////////////////////////////////////////////////////////////////////////////
// section et fonctions non nécessaires si intégrées aux menus de WATERBEAR

// variable $racinewaterbear à adapter !!!
$racinewaterbear = "/web/waterbear/";

$conf_path=$racinewaterbear."conf/";
include_once($conf_path."config.php");

include_once($GLOBALS["tvs_global"]["conf"]["ini"]["include_path"]."classes/tvs_registre.php");
include_once($GLOBALS["tvs_global"]["conf"]["ini"]["include_path"]."classes_ext/JSON.php");
include_once($GLOBALS["tvs_global"]["conf"]["ini"]["include_path"]."classes/tvs_exception.php");
include_once($GLOBALS["tvs_global"]["conf"]["ini"]["include_path"]."fonctions/sql.php");
include_once($GLOBALS["tvs_global"]["conf"]["ini"]["include_path"]."fonctions/log.php");
include_once($GLOBALS["tvs_global"]["conf"]["ini"]["include_path"]."fonctions/registre.php");
include_once($GLOBALS["tvs_global"]["conf"]["ini"]["include_path"]."fonctions/util.php");
include_once($GLOBALS["tvs_global"]["conf"]["ini"]["include_path"]."fonctions/plugins.php");

// Connexion MySQL
include_once($GLOBALS["tvs_global"]["conf"]["ini"]["include_path"]."scripts/connexion_mysql.php");
/////////////////////////////////////////////////////////////////////////////////////////////////////////

/////////////////////////////////////////////////////////////////////////////////////////////////////////
// fonctions nécessaires si intégrées aux menus de WATERBEAR
include_once($GLOBALS["tvs_global"]["conf"]["ini"]["include_path"]."fonctions/metawb.php");
/////////////////////////////////////////////////////////////////////////////////////////////////////////

//$fpw = fopen("chaine.txt","w");

$repertoire = "./registre";
if($dossier = opendir($repertoire))
{
 while(false !== ($fichier = readdir($dossier)))
 {
  if($fichier != '.' && $fichier != '..' && !is_dir($fichier)) 
  {
   echo "$fichier\n";
//   $nol=strlen($fichier);
//   $no=strpos($fichier,".txt",$nol-4);
   $no=strpos($fichier,".txt",-4);
   if($no > 0)
   {
    echo "Fichier: ".$fichier."\n";
    $fp = fopen($repertoire."/".$fichier,"r");
    $chaine = "";
    while (!feof($fp)) 
    {
     $chaine .= fgets($fp);
    }
    fclose($fp);
    
//    fputs ($fpw,$fichier."\n".$chaine."\n");

    if ($chaine != "") 
    {
     $_SESSION["registre"] = array();
     mwb_importe_registre ($chaine);
    }
   }
  }
 }
 closedir($dossier);
}
else
{
 echo 'Aucun fichier\n';
}
//fclose($fpw);

?>